from pydantic import BaseModel, ValidationError
from dataclasses import dataclass, asdict
from typing import List
from enum import Enum, unique

@dataclass
class AgentConfig(BaseModel):
    chatroomIdWhiteList: List[str] = []
    agentTokenId: str
    agentEnabled: bool
    addContactsFromChatroomIdWhiteList: List[str] = []
    chatWaitingMsgEnabled: bool


@dataclass
class AddGroupContactsHistory(BaseModel):
    chatroomId:str
    wxid:str
    contactWixd:str
    addTime:int



@unique
class OperationType(Enum):
    ADD_FRIEND = 2
    ACCEPT_FRIEND = 3
    REJECT_FRIEND = 4