from flask_restful import Resource, reqparse
from flask import jsonify,request,json
from common import redis_helper,utils
from wechat import gewe_chat
import threading



class GetGroupsInfoResource(Resource):
    def __init__(self):
        self.parser = reqparse.RequestParser()
        self.wxchat = gewe_chat.wxchat

    def post(self):
        req = request.get_json()
        wxid = req.get("wxid")
        groups=self.wxchat.get_groups_info_from_cache(wxid)
        return jsonify(groups)
    


class GetGroupMemberList(Resource):
    def __init__(self):
        self.parser = reqparse.RequestParser()
        self.wxchat = gewe_chat.wxchat

    def post(self):
        req = request.get_json()
        wxid = req.get("wxid")
        chatroom_id=req.get("chatroomId")
        _,loginfo=utils.get_login_info_by_wxid(wxid)
        token_id=loginfo.get('tokenId')
        app_id=loginfo.get('appId')
        
        ret, msg, data = self.wxchat.get_group_memberlist(token_id, app_id, chatroom_id)
        if ret != 200:
            response = jsonify({
                'code': ret,
                'message': msg
            })
            response.status_code = ret
            response.message = msg
            return  response
        thread = threading.Thread(target=self.wxchat.save_groups_members_to_cache, args=(token_id, app_id,wxid, [chatroom_id]))
        thread.start()
        return jsonify(data)
